/* This software was derived from SATAN 1.1.1 by Dan Farmer and Wietse Venema
  (http://www.porcupine.org/satan).
*/
 /*
  * Many PERL installations have no sys/socket.ph file, and with many
  * installations, the sys/ .ph files are broken. This is a bizarre
  * workaround: a C program to bootstrap a PERL application.
  * 
  * Author: Wietse Venema.
  * Updated to address the current requirements _AF_INET and 
  * _SOCK_STREAM
  */
#include <sys/types.h>
#include <sys/socket.h>

int     main(argc, argv)
int     argc;
char  **argv;
{
    printf("sub _AF_INET { %d; }\n", AF_INET);
    printf("sub _SOCK_STREAM { %d; }\n", SOCK_STREAM);
    printf("1;\n");
}
